bifunctors-4.1.0.1: Bifunctors

Portability | portable
Stability | provisional
Maintainer | Edward Kmett <ekmett@gmail.com>
Safe Haskell | Safe-Inferred

Data.Bifunctor.Clown

Description

From the Functional Pearl "Clowns to the Left of me, Jokers to the Right: Dissecting Data Structures" by Conor McBride.

Synopsis

- newtype Clown f a b = Clown {
  - runClown :: f a
  }

# Documentation

newtype Clown f a b Source

Make a `Functor` over the first argument of a `Bifunctor`.

Constructors

Clown |

Fields

runClown :: f a

Instances

Foldable f => Bifoldable (Clown f) |
Foldable1 f => Bifoldable1 (Clown f) |
Functor f => Bifunctor (Clown f) |
Apply f => Biapply (Clown f) |
Traversable f => Bitraversable (Clown f) |
Traversable1 f => Bitraversable1 (Clown f) |
Applicative f => Biapplicative (Clown f) |
Functor (Clown f a) |
Foldable (Clown f a) |
Traversable (Clown f a) |
Eq (f a) => Eq (Clown f a b) |
Ord (f a) => Ord (Clown f a b) |
Read (f a) => Read (Clown f a b) |
Show (f a) => Show (Clown f a b) |